
@set DB2DIR=%2
@set INSTALLDIR=%1

@ECHO Start hpuzip.bat script from %INSTALLDIR%
@ECHO Default DB2 home is %DB2DIR%

@cd %INSTALLDIR%
@if exist %DB2DIR%\cc goto V7
@if exist %DB2DIR%\tools goto V8
@exit

:V7
@cd java\V7\classes
@if exist %DB2DIR%\cc\db2plug.zip copy %DB2DIR%\cc\db2plug.zip ..\db2plug.zip

@if exist com ..\..\..\install\zip -r0D ..\db2plug.zip *
@if not exist com ECHO %INSTALLDIR%\java not found check your HPU installation
@if not exist com exit

@copy %INSTALLDIR%\install\db2hpu.path %DB2DIR%\cc\db2hpu.path

@if exist ..\db2plug.zip copy ..\db2plug.zip %DB2DIR%\cc\db2plug.zip

@copy %INSTALLDIR%\msg\V7\HPU*.properties %INSTALLDIR%\msg\
@copy %INSTALLDIR%\help\V7\*.* %INSTALLDIR%\help\
@copy %INSTALLDIR%\images\V7\*.gif %INSTALLDIR%\images\

@echo @del %INSTALLDIR%\msg\HPU*.properties > ..\..\..\install\unziphpu.bat
@echo @del %INSTALLDIR%\help\*.htm >> ..\..\..\install\unziphpu.bat
@echo @del %INSTALLDIR%\help\*.html >> ..\..\..\install\unziphpu.bat
@echo @del %INSTALLDIR%\help\*.jpg >> ..\..\..\install\unziphpu.bat
@echo @del %INSTALLDIR%\help\*.gif >> ..\..\..\install\unziphpu.bat
@echo @del %INSTALLDIR%\help\*.js >> ..\..\..\install\unziphpu.bat
@echo @del %INSTALLDIR%\help\*.css >> ..\..\..\install\unziphpu.bat
@echo @del %INSTALLDIR%\images\*.gif >> ..\..\..\install\unziphpu.bat

@echo @del %DB2DIR%\cc\db2hpu.path >> ..\..\..\install\unziphpu.bat

@echo @move %DB2DIR%\cc\db2plug.zip %INSTALLDIR%\install\db2plug.zip >> ..\..\..\install\unziphpu.bat
@echo @cd %INSTALLDIR% >> ..\..\..\install\unziphpu.bat
@echo @cd install >> ..\..\..\install\unziphpu.bat
@echo @zip db2plug.zip -d com\ibm\inz* >> ..\..\..\install\unziphpu.bat
@echo @zip -J db2plug.zip >> ..\..\..\install\unziphpu.bat
@echo @if ERRORLEVEL 13 exit >> ..\..\..\install\unziphpu.bat
@echo @move %INSTALLDIR%\install\db2plug.zip %DB2DIR%\cc\db2plug.zip >> ..\..\..\install\unziphpu.bat
@exit

:V8
@cd java\V8\classes
@if exist %DB2DIR%\tools\db2plug.zip copy %DB2DIR%\tools\db2plug.zip ..\db2plug.zip

@if exist com ..\..\..\install\zip -r0D ..\db2plug.zip *
@if not exist com ECHO %INSTALLDIR%\java not found check your HPU installation
@if not exist com exit

@copy %INSTALLDIR%\install\db2hpu.path %DB2DIR%\tools\db2hpu.path

@if exist ..\db2plug.zip copy ..\db2plug.zip %DB2DIR%\tools\db2plug.zip

@copy %INSTALLDIR%\msg\V8\HPU*.properties %INSTALLDIR%\msg\
@copy %INSTALLDIR%\help\V8\*.* %INSTALLDIR%\help\
@copy %INSTALLDIR%\images\V8\*.gif %INSTALLDIR%\images\

@echo @del %INSTALLDIR%\msg\HPU*.properties > ..\..\..\install\unziphpu.bat
@echo @del %INSTALLDIR%\help\*.htm >> ..\..\..\install\unziphpu.bat
@echo @del %INSTALLDIR%\help\*.html >> ..\..\..\install\unziphpu.bat
@echo @del %INSTALLDIR%\help\*.jpg >> ..\..\..\install\unziphpu.bat
@echo @del %INSTALLDIR%\help\*.gif >> ..\..\..\install\unziphpu.bat
@echo @del %INSTALLDIR%\help\*.js >> ..\..\..\install\unziphpu.bat
@echo @del %INSTALLDIR%\help\*.css >> ..\..\..\install\unziphpu.bat
@echo @del %INSTALLDIR%\images\*.gif >> ..\..\..\install\unziphpu.bat

@echo @del %DB2DIR%\tools\db2hpu.path >> ..\..\..\install\unziphpu.bat

@echo @move %DB2DIR%\tools\db2plug.zip %INSTALLDIR%\install\db2plug.zip >> ..\..\..\install\unziphpu.bat
@echo @cd %INSTALLDIR% >> ..\..\..\install\unziphpu.bat
@echo @cd install >> ..\..\..\install\unziphpu.bat
@echo @zip db2plug.zip -d com\ibm\inz* >> ..\..\..\install\unziphpu.bat
@echo @zip -J db2plug.zip >> ..\..\..\install\unziphpu.bat
@echo @if ERRORLEVEL 13 exit >> ..\..\..\install\unziphpu.bat
@echo @move %INSTALLDIR%\install\db2plug.zip %DB2DIR%\tools\db2plug.zip >> ..\..\..\install\unziphpu.bat
@exit
